/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.extension.repository.internal;

import java.util.Map;

import org.xwiki.component.annotation.ComponentRole;

/**
 * Scan jars to find core extensions.
 * 
 * @version $Id: a3d437d7f6ddd8f758d60073a4a91317e4830a3b $
 */
@ComponentRole
public interface CoreExtensionScanner
{
    /**
     * Scan classpath to find core extensions.
     * 
     * @param repository the repository used to create {@link DefaultCoreExtension}s.
     * @return scan jar files in classpath to find core extensions
     */
    Map<String, DefaultCoreExtension> loadExtensions(DefaultCoreExtensionRepository repository);
}
