/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package com.xpn.xwiki.plugin.rightsmanager.utils;

import java.util.Collection;
import java.util.HashSet;

/**
 * Contains a collection of users and groups.
 * 
 * @version $Id: 1479a9734044f3cfc5d6c38587251d5f673ec764 $
 * @since XWiki Core 1.1.2, XWiki Core 1.2M2
 */
public class UsersGroups
{
    /**
     * The collection of users.
     */
    public Collection<String> users = new HashSet<String>();

    /**
     * The collection of groups.
     */
    public Collection<String> groups = new HashSet<String>();

    /**
     * {@inheritDoc}
     * 
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString()
    {
        StringBuilder sb = new StringBuilder();

        if (!users.isEmpty()) {
            sb.append('{');
            sb.append("users : ");
            sb.append(users);
            sb.append('}');
        }

        if (!groups.isEmpty()) {
            sb.append('{');
            sb.append("groups : ");
            sb.append(groups);
            sb.append('}');
        }

        return sb.toString();
    }
}
